org.apache.felix.ipojo

## Class PrimitiveInstanceDescription

- java.lang.Object
- - org.apache.felix.ipojo.architecture.InstanceDescription
  - - org.apache.felix.ipojo.PrimitiveInstanceDescription

All Implemented Interfaces:
  InstanceStateListener

    public class PrimitiveInstanceDescription
    extends InstanceDescription

Primitive Instance Description.

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.architecture.InstanceDescription

`m_handlers, m_instance, m_type`

### Constructor Summary

Constructors
Constructor and Description
`PrimitiveInstanceDescription(ComponentTypeDescription type, InstanceManager instance)` Creates a Primitive Instance Description.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getCreatedObjects()` Gets the list of object created by the described instance.
`DependencyDescription[]` `getDependencies()` Gets the instance service dependencies.
`DependencyDescription` `getDependency(java.lang.String specification)` Gets the instance service dependency matching with the given service specification or id.
`org.apache.felix.ipojo.metadata.Element` `getDescription()` Gets the instance description.
`PropertyDescription[]` `getProperties()` Gets the instance properties.
`ProvidedServiceDescription` `getProvidedService(java.lang.String specification)` Gets the instance provided service matching with the given service specification.
`ProvidedServiceDescription[]` `getProvidedServices()` Gets the instance provided service.

### Methods inherited from class org.apache.felix.ipojo.architecture.InstanceDescription

`addHandler, getBundleId, getComponentDescription, getHandlerDescription, getHandlers, getInstance, getName, getState, stateChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrimitiveInstanceDescription

    public PrimitiveInstanceDescription(ComponentTypeDescription type,
                                        InstanceManager instance)

Creates a Primitive Instance Description.

Parameters:
  `type` - the component type description
  `instance` - the instance description

### Method Detail

#### getCreatedObjects

    public java.lang.String[] getCreatedObjects()

Gets the list of object created by the described instance.

Returns:
  the created objects.

#### getDependencies

    public DependencyDescription[] getDependencies()

Gets the instance service dependencies.

Returns:
  the set of dependency description or an empty array if no dependencies.

#### getDependency

    public DependencyDescription getDependency(java.lang.String specification)

Gets the instance service dependency matching with the given service specification or id.

Parameters:
  `specification` - the service specification of the looked specification.
Returns:
  the dependency description matching with the given service specification or id. `null` is not found. no dependencies.

#### getProvidedService

    public ProvidedServiceDescription getProvidedService(java.lang.String specification)

Gets the instance provided service matching with the given service specification.

Parameters:
  `specification` - the provided specification of the looked provided service.
Returns:
  the provided service description matching with the given service specification. `null` is not found.

#### getProvidedServices

    public ProvidedServiceDescription[] getProvidedServices()

Gets the instance provided service.

Returns:
  the set of provided service description or an empty array if no provided services.

#### getProperties

    public PropertyDescription[] getProperties()

Gets the instance properties.

Returns:
  the set of property descriptions or an empty array if no properties.

#### getDescription

    public org.apache.felix.ipojo.metadata.Element getDescription()

Gets the instance description. Overridden to add created objects.

Overrides:
  `getDescription` in class `InstanceDescription`
Returns:
  the instance description